package cz.muni.fi.pb162.graphics;

public class Polygon extends AbstractGrObject
{
    private Point[] points;
 
    public Polygon(String color, Point[] points) {
        super(color);
        this.points = points;
    }
    
    public double getPerimeter() {
        double ret = 0;
        
        for (int i = 0; i < points.length; i++) {
            Point p1 = points[i];
            Point p2 = points[(i+1)%points.length];
            ret += getLineLength(p1, p2);
        }
        
        return ret;
    }
    
    /**
     * @param p1 first point of the line segment
     * @param p2 second point of the line segment
     * @return length of the line segment
     */
    public static double getLineLength(Point p1, Point p2) { 
        int dx = p1.getX() - p2.getX();
        int dy = p1.getY() - p2.getY();
        return Math.sqrt(dx * dx + dy * dy);
    }
}
